<?php
/*
Plugin Name: Simple Facebook Link
Plugin URI: http://www.artiss.co.uk/simple-facebook-link
Description: Creates a link to share posts and pages on Facebook
Version: 1.0
Author: David Artiss
Author URI: http://www.artiss.co.uk
*/

function simple_facebook_link($service) {   
    
    $service=strtolower($service); 
    $tinyurl="";
  
    // If a URL shortening service is requested, use it
    
    if ($service=="tinyurl") {$tinyurl="http://tinyurl.com/api-create.php?url=";}    
    if ($service=="is.gd") {$tinyurl="http://is.gd/api.php?longurl=";}
    if ($service=="snipr") {$tinyurl="http://snipr.com/site/snip?r=simple&link=";}   
    if ($service=="tr.im") {$tinyurl="http://api.tr.im/api/trim_simple?url=";}   
        
    if ($tinyurl!="") {
	   $facebook_url = file_get_contents($tinyurl.get_permalink($post->ID));
    } else {
       $facebook_url = get_permalink($post->ID);
    }
  
    // Now, send the URL and blog title to Facebook
	
	echo "http://www.facebook.com/sharer.php?u=".$facebook_url."&t=".get_the_title($post->ID);

}
?>